Stream session events (SSE)
curl --request GET \
--url https://api.kitefrost.ai/v1/sessions/{session_id}/streamimport requests
url = "https://api.kitefrost.ai/v1/sessions/{session_id}/stream"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.kitefrost.ai/v1/sessions/{session_id}/stream', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "Forbidden",
"code": "forbidden",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"message": "Your API key does not have the required scope.",
"doc_url": "https://docs.kitefrost.ai/errors/forbidden"
}{
"error": "Not found",
"code": "not_found",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"message": "The requested resource does not exist.",
"doc_url": "https://docs.kitefrost.ai/errors/not_found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"error": "Internal server error",
"code": "internal_error",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"message": "An unexpected error occurred.",
"doc_url": "https://docs.kitefrost.ai/errors/internal_error"
}sessions
Stream session events (SSE)
Open a Server-Sent Events stream for a generation session. Emits typed events as session state changes:
status- periodic heartbeat while the session is runningawaiting_human- session paused for HITL input (stream closes after this)done- generation complete (includesresult; stream closes after this)error- generation failed (stream closes after this)
This is additive to the polling endpoint (GET /status). Stream closes after a terminal event or after 5 minutes max.
GET
/
v1
/
sessions
/
{session_id}
/
stream
Stream session events (SSE)
Path Parameters
Response
SSE stream
⌘I